Xerces-C++: XMLValid Class Reference

Xerces-C++ 3.3.0

Public Types | Static Public Member Functions | List of all members
XMLValid Class Reference

`#include <xercesc/framework/XMLValidityCodes.hpp>`

## Public Types
enum | Codes { NoError = 0 , E_LowBounds = 1 , ElementNotDefined = 2 , AttNotDefined = 3 , NotationNotDeclared = 4 , RootElemNotLikeDocType = 5 , RequiredAttrNotProvided = 6 , ElementNotValidForContent = 7 , BadIDAttrDefType = 8 , InvalidEmptyAttValue = 9 , ElementAlreadyExists = 10 , MultipleIdAttrs = 11 , ReusedIDValue = 12 , IDNotDeclared = 13 , UnknownNotRefAttr = 14 , UndeclaredElemInDocType = 15 , EmptyNotValidForContent = 16 , AttNotDefinedForElement = 17 , BadEntityRefAttr = 18 , UnknownEntityRefAttr = 19 , ColonNotValidWithNS = 20 , NotEnoughElemsForCM = 21 , NoCharDataInCM = 22 , DoesNotMatchEnumList = 23 , AttrValNotName = 24 , NoMultipleValues = 25 , NotSameAsFixedValue = 26 , RepElemInMixed = 27 , FeatureUnsupported = 28 , GroupContentRestricted = 29 , UnknownBaseDatatype = 30 , NoContentForRef = 31 , DatatypeError = 32 , ProhibitedAttributePresent = 33 , IllegalXMLSpace = 34 , WrongTargetNamespace = 35 , SimpleTypeHasChild = 36 , NoDatatypeValidatorForSimpleType = 37 , GrammarNotFound = 38 , DisplayErrorMessage = 39 , NillNotAllowed = 40 , NilAttrNotEmpty = 41 , FixedDifferentFromActual = 42 , NoDatatypeValidatorForAttribute = 43 , GenericError = 44 , ElementNotQualified = 45 , ElementNotUnQualified = 46 , VC_IllegalRefInStandalone = 47 , NoDefAttForStandalone = 48 , NoAttNormForStandalone = 49 , NoWSForStandalone = 50 , VC_EntityNotFound = 51 , PartialMarkupInPE = 52 , DatatypeValidationFailure = 53 , UniqueParticleAttributionFail = 54 , NoAbstractInXsiType = 55 , NoDirectUseAbstractElement = 56 , NoUseAbstractType = 57 , BadXsiType = 58 , NonDerivedXsiType = 59 , ElemNoSubforBlock = 60 , TypeNoSubforBlock = 61 , AttributeNotQualified = 62 , AttributeNotUnQualified = 63 , IC_FieldMultipleMatch = 64 , IC_UnknownField = 65 , IC_AbsentKeyValue = 66 , IC_KeyNotEnoughValues = 67 , IC_KeyMatchesNillable = 68 , IC_DuplicateUnique = 69 , IC_DuplicateKey = 70 , IC_KeyRefOutOfScope = 71 , IC_KeyNotFound = 72 , NonWSContent = 73 , EmptyElemNotationAttr = 74 , EmptyElemHasContent = 75 , ElemOneNotationAttr = 76 , AttrDupToken = 77 , ElemChildrenHasInvalidWS = 78 , E_HighBounds = 79 , W_LowBounds = 80 , W_HighBounds = 81 , F_LowBounds = 82 , F_HighBounds = 83 }

## Static Public Member Functions
static bool | isFatal (const XMLValid::Codes toCheck)
static bool | isWarning (const XMLValid::Codes toCheck)
static bool | isError (const XMLValid::Codes toCheck)
static XMLErrorReporter::ErrTypes | errorType (const XMLValid::Codes toCheck)
static DOMError::ErrorSeverity | DOMErrorType (const XMLValid::Codes toCheck)

## Member Enumeration Documentation

## ◆ Codes

enum XMLValid::Codes

Enumerator
NoError |
E_LowBounds |
ElementNotDefined |
AttNotDefined |
NotationNotDeclared |
RootElemNotLikeDocType |
RequiredAttrNotProvided |
ElementNotValidForContent |
BadIDAttrDefType |
InvalidEmptyAttValue |
ElementAlreadyExists |
MultipleIdAttrs |
ReusedIDValue |
IDNotDeclared |
UnknownNotRefAttr |
UndeclaredElemInDocType |
EmptyNotValidForContent |
AttNotDefinedForElement |
BadEntityRefAttr |
UnknownEntityRefAttr |
ColonNotValidWithNS |
NotEnoughElemsForCM |
NoCharDataInCM |
DoesNotMatchEnumList |
AttrValNotName |
NoMultipleValues |
NotSameAsFixedValue |
RepElemInMixed |
FeatureUnsupported |
GroupContentRestricted |
UnknownBaseDatatype |
NoContentForRef |
DatatypeError |
ProhibitedAttributePresent |
IllegalXMLSpace |
WrongTargetNamespace |
SimpleTypeHasChild |
NoDatatypeValidatorForSimpleType |
GrammarNotFound |
DisplayErrorMessage |
NillNotAllowed |
NilAttrNotEmpty |
FixedDifferentFromActual |
NoDatatypeValidatorForAttribute |
GenericError |
ElementNotQualified |
ElementNotUnQualified |
VC_IllegalRefInStandalone |
NoDefAttForStandalone |
NoAttNormForStandalone |
NoWSForStandalone |
VC_EntityNotFound |
PartialMarkupInPE |
DatatypeValidationFailure |
UniqueParticleAttributionFail |
NoAbstractInXsiType |
NoDirectUseAbstractElement |
NoUseAbstractType |
BadXsiType |
NonDerivedXsiType |
ElemNoSubforBlock |
TypeNoSubforBlock |
AttributeNotQualified |
AttributeNotUnQualified |
IC_FieldMultipleMatch |
IC_UnknownField |
IC_AbsentKeyValue |
IC_KeyNotEnoughValues |
IC_KeyMatchesNillable |
IC_DuplicateUnique |
IC_DuplicateKey |
IC_KeyRefOutOfScope |
IC_KeyNotFound |
NonWSContent |
EmptyElemNotationAttr |
EmptyElemHasContent |
ElemOneNotationAttr |
AttrDupToken |
ElemChildrenHasInvalidWS |
E_HighBounds |
W_LowBounds |
W_HighBounds |
F_LowBounds |
F_HighBounds |

## Member Function Documentation

## ◆ DOMErrorType()

static DOMError::ErrorSeverity XMLValid::DOMErrorType | ( | const XMLValid::Codes | toCheck | ) |
| static

References DOMError::DOM_SEVERITY_ERROR, DOMError::DOM_SEVERITY_FATAL_ERROR, DOMError::DOM_SEVERITY_WARNING, F_HighBounds, F_LowBounds, W_HighBounds, and W_LowBounds.

## ◆ errorType()

static XMLErrorReporter::ErrTypes XMLValid::errorType | ( | const XMLValid::Codes | toCheck | ) |
| static

References E_HighBounds, E_LowBounds, XMLErrorReporter::ErrType_Error, XMLErrorReporter::ErrType_Fatal, XMLErrorReporter::ErrType_Warning, XMLErrorReporter::ErrTypes_Unknown, F_HighBounds, F_LowBounds, W_HighBounds, and W_LowBounds.

## ◆ isError()

static bool XMLValid::isError | ( | const XMLValid::Codes | toCheck | ) |
| static

References E_HighBounds, and E_LowBounds.

## ◆ isFatal()

static bool XMLValid::isFatal | ( | const XMLValid::Codes | toCheck | ) |
| static

References F_HighBounds, and F_LowBounds.

## ◆ isWarning()

static bool XMLValid::isWarning | ( | const XMLValid::Codes | toCheck | ) |
| static

References W_HighBounds, and W_LowBounds.

The documentation for this class was generated from the following file:

- XMLValidityCodes.hpp